.container {
  display: grid;
  height: 100vh;
  width: 100%;
  grid-template-columns: repeat(12, 1fr);
  grid-template-rows: 50px 1fr 50px;
  padding: 1.5rem;
  gap: 1.5rem;
  transition: 0.25s ease-in-out;
}

.header {
  grid-column: 1/-1;
}
nav {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
ul {
  display: flex;
  align-items: center;
}
li a {
  padding: 0.5rem 1rem;
  display: inline-block;
  margin-right: 1.5rem;
  font-weight: 400;
  transition: 0.125s ease-in-out;
  transition: 0.125s ease-in-out;
}
li a:is(:active, :hover) {
  background-color: #222;
  color: #fff;
  border-radius: 5px;
}
.contents {
  grid-column: 1/-1;
}

.footer {
  grid-column: 1/-1;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.footer-left ul {
  display: flex;
}
.footer-left ul li {
  margin-right: 1.5rem;
}
.footer-left ul li a {
  font-size: var(--font-size-0);
  padding: 0.5rem 0.7rem;
  border-radius: 50%;
  transition: 0.125s ease-in-out;
}
.footer-left ul li a:hover {
  background-color: #222;
  color: #ddd;
}

.footer-right p {
  color: inherit;
  font-size: var(--font-size--0);
  text-transform: uppercase;
  letter-spacing: 1px;
}

i {
  cursor: pointer;
}
.toggler i {
  background-color: #222;
  color: #fff;
  padding: 0.3rem 0.5rem;
  border-radius: 50%;
  font-size: var(--font-size-0);
  transition: 0.125s ease-in-out;
}
.toggler i:is(:hover, :active) {
  background-color: #444;
}

/* Header start*/

/* About */
.toggle i {
  font-size: var(--font-size-2);
  border-radius: 50%;
  padding: 0.3rem 0.5rem;
  transition: 0.125s ease-in-out;
}
.toggle i:is(:hover, :active) {
  background-color: rgba(0, 0, 0, 0.5);
  color: #ddd;
}
.nav-right {
  position: relative;
}
.toggler-responsive {
  display: none;
}
.toggleShow {
  z-index: 999;
  position: absolute;
  display: flex;
  align-items: flex-start;
  gap: 2px;
  top: 50px;
  right: 15px;
  flex-direction: column;
  padding: 1.5rem;
  background-color: rgba(255, 255, 255, 0.3);
  border-radius: 8px;
}

.toggleShow li a {
  padding: 0.5rem 1rem;
  display: inline-block;
  margin-right: 1.5rem;
  font-weight: 700;
  transition: 0.125s ease-in-out;
}
.toggleShow li a:hover {
  background-color: #222;
  color: #fff;
}
.tech-stacks {
  padding: 1.5rem;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
  grid-auto-rows: 1fr;
  gap: 1.5rem;
}
.tech-stacks .stack {
  display: flex;
  align-items: center;
  justify-content: center;
}
.tech-stacks i {
  position: relative;
  transition: transform 0.3s ease-in-out;
  padding: 1.5rem;
  transition: color 0.3s ease-in-out, font-weight 0.3s ease-in-out;
  font-size: 5rem;
  border-radius: 50%;
  transition: transform 0.4s ease-in-out, background-color 0.4s ease-in-out;
  cursor: auto;
}

.tech-stacks i::after {
  content: attr(data-value);
  font-family: "Poppins", sans-serif;
  position: absolute;
  white-space: pre;
  display: inline;
  letter-spacing: 1px;
  font-weight: 500;
  bottom: 0;
  left: 50%;
  font-size: 1rem;
  transform: translate(-50%, -5px);
}
.tech-stacks i:hover,
.tech-stacks i:active {
  background-color: rgba(255, 255, 255, 0.2);
  backdrop-filter: blur(15px);
  transform: scale(1.1);
}

.lead-text > * {
  padding: 1.5rem;
}
.lead-text h1 {
  font-weight: 400;
}
.lead-text p {
  font-weight: 500;
}
.toggleShow li {
  padding: 1rem 0;
}
.toggleShow li a {
  font-weight: 500;
}

.card-container {
  padding: 1.5rem;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  grid-auto-rows: auto;
  gap: 1.5rem;
}
.card {
  min-width: 0;
  padding: 1.5rem;
  background-color: rgba(255, 255, 255, 0.3);
  border-radius: 8px;
  line-height: 1.6;
  backdrop-filter: blur(15px);
}

.card .tag {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  top: 0;
  cursor: pointer;
}
.card > * {
  margin: 1.5rem 0;
}
.card ul {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}
.card ul li {
  padding: 1.5rem 0;
  font-size: var(--font-size-0);
  font-weight: 500;
}
.card p {
  font-weight: 400;
}
.card-title {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.card-title i {
  font-size: var(--font-size-3);
}
.card-description {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.card-description a i {
  padding: 1.5rem 1.7rem;
  border: 2px solid rgba(0, 0, 0, 0.3);
  font-size: var(--font-size-4);
  border-radius: 50%;
  transition: 0.3s ease-in-out;
}

.card-description a i:hover {
  background-color: #222;
  color: #fff;
}

/* Project Container */
.project-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  grid-auto-rows: auto;
  gap: 1.5rem;
  padding: 1.5rem;
}
.card img {
  border-radius: 8px;
}
.card .stacks {
  display: flex;
}
.stacks li {
  padding: 0.4rem;
  margin: 0.3rem;
  color: #fff;
  background-color: #222;
  border-radius: 5px;
}
/* NotFound */
.notfound {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}
.notfound > * {
  margin: 1.5rem;
}
.notfound i {
  font-size: 72px;
  color: firebrick;
}
.notfound h1 {
  font-size: var(--font-size-4);
}
.notfound i {
  cursor: auto;
}
.notfound a {
  font-weight: 500;
  padding: 0.5rem 1rem;
  border-radius: 5px;
  transition: 0.125s ease-in-out;
}
.notfound a:hover {
  background-color: #444;
  color: #fff;
}
/* Projects */

.project-title {
  padding: 1.5rem;
  display: flex;
  justify-content: flex-end;
}
.project-title li {
  font-size: var(--font-size-0);
  font-weight: 600;
  cursor: pointer;
  margin-left: 1.5rem;
}

/* Loader */
.lds-ripple {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
  z-index: 100;
}
.lds-ripple div {
  position: absolute;
  border: 4px solid #fff;
  opacity: 1;
  border-radius: 50%;
  animation: lds-ripple 1s cubic-bezier(0, 0.2, 0.8, 1) infinite;
}
.lds-ripple div:nth-child(2) {
  animation-delay: -0.5s;
}
@keyframes lds-ripple {
  0% {
    top: 36px;
    left: 36px;
    width: 0;
    height: 0;
    opacity: 0;
  }
  4.9% {
    top: 36px;
    left: 36px;
    width: 0;
    height: 0;
    opacity: 0;
  }
  5% {
    top: 36px;
    left: 36px;
    width: 0;
    height: 0;
    opacity: 1;
  }
  100% {
    top: 0px;
    left: 0px;
    width: 72px;
    height: 72px;
    opacity: 0;
  }
}

@media screen and (max-width: 800px) {
  .toggler-responsive {
    display: block;
  }
  .nav--right {
    display: none;
  }
}
